%define name	advancecomp
%define version	1.17
%define release	%mkrel 2

Summary:	Recompression utilities
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv3+
Group:		Archiving/Compression
URL:		http://advancemame.sourceforge.net
Source0:	http://downloads.sourceforge.net/advancemame/%{name}-%{version}.tar.gz
Patch0:		advancecomp-1.17-mga-bzip2-compile.patch
Patch1:		advancecomp-1.17-mga-option-doc.patch
Patch2:		advancecomp-1.17-mga-fromdos.patch
BuildRequires:	pkgconfig(zlib)
BuildRequires:	libbzip2-devel
BuildRequires:	dos2unix
BuildRequires:	autoconf
BuildRequires:	automake

%description
AdvanceCOMP contains recompression utilities for your .zip
archives, .png images, .mng video clips and .gz files.

%prep
%setup -q
%apply_patches

%build
autoreconf -fis
%configure2_5x --enable-bzip2
%make

%check
# The check fails with bzip2 enabled due to bzip2 giving smaller than
# expected sizes
#%make check

%install
%makeinstall_std

%files
%doc AUTHORS HISTORY README doc/*.html doc/*.txt
%{_bindir}/advzip
%{_bindir}/advpng
%{_bindir}/advmng
%{_bindir}/advdef
%{_mandir}/man1/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.17-2.mga4
+ Revision: 530089
- Mageia 4 Mass Rebuild

* Thu Jul 18 2013 danf <danf> 1.17-1.mga4
+ Revision: 455400
- new upstream license is GPLv3+
- enabled bzip2 support with bzip2-compile.patch
- disabled self-check since it fails with bzip2 enabled
- document advzip -N option with option-doc.patch
- use dos2unix instead of fromdos with fromdos.patch which
  adds a new BuildRequires on autoconf/automake
- brought spec file into line with Mageia style
- removed unneeded BuildRequires
- imported package advancecomp


* Tue Sep 01 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.15-5mdv2010.0
+ Revision: 423971
- rebuild
- rebuild

* Thu Jun 19 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.15-3mdv2009.0
+ Revision: 226128
- rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 1.15-2mdv2008.1
+ Revision: 135817
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Dec 22 2006 Oden Eriksson <oeriksson@mandriva.com> 1.15-2mdv2007.0
+ Revision: 101583
- Import advancecomp

* Wed Jun 28 2006 Lenny Cartier <lenny@mandriva.com> 1.15-2mdv2007.0
- rebuild

* Tue Mar 21 2006 Lenny Cartier <lenny@mandriva.com> 1.15-1mdk
- 1.15

* Fri Oct 07 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.14-2mdk
- Fix BuildRequires
- %%mkrel

* Mon Sep 19 2005 Pascal Terjan <pterjan@mandriva.org> 1.14-1mdk
- 1.14
- fix build on 64 bits (P0 from Fedora)

* Fri Jan 14 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.13-1mdk
- initial mandrake package

